#!/bin/sh
# The next line restarts using nmrWish \
exec nmrWish "$0" -notk -- "$@"

set auto_path "[split $env(TCLPATH) :] $auto_path"
set ARGV      [concat $argv0 $argv]
set ARGC      [llength $ARGV]

#
# Rough estimate of accessable surface of proteins in
# directory "pdb".
#
# Creates new PDB files where "TEMPERATURE" column
# is non-zero for atoms at the surface.

if {![file exists hoh]} {file mkdir hoh} 

set fList [glob pdb/*.pdb] 

dynInit

foreach inName $fList \
   {
    set root    [file tail $inName] 
    set outName hoh/$root

    set src   [dynRead -pdb -in $inName]
    set sInfo [dynSurface -src $src]

    set mass [lindex $sInfo 0]
    set area [lindex $sInfo 0]
    set vol  [lindex $sInfo 0]

    dynWrite -src $src -pdb -out tmp.pdb

    exec echo  REMARK DATA MASS $mass AREA $area VOLUME $vol > $outName
    exec cat   tmp.pdb >> $outName

    file delete tmp.pdb

    puts "$sInfo $root"

    dynFree $src
   }

exit 0
