cat $1 | \
awk 'BEGIN{\
	valid_count=0; loop=0; data_start=0; title_tag=0; assembCnt=0;\
	seqColCount=0; pdbColCount=0; pdbEntryCnt=0; pdbModelCnt=0;\
	ONE   = "AcCDEFGHIKLMNPQRSTVWY"; \
	THREE = "ALA.cys.CYS.ASP.GLU.PHE.GLY.HIS.ILE.LYS.LEU.MET.ASN.PRO.GLN.ARG.SER.THR.VAL.TRP.TYR" \
} \
{ \
	if($1=="_Entry.ID") EntryID = $2; \
	if($1=="_Entry.Title") { title_tag++; next;}\
	if(title_tag==1 && $1==";") { title_tag++; next;}\
	if(title_tag==2 && $1!=";") Title=$0; \
	if(title_tag==2 && $1==";") title_tag=0; \

	if($1=="loop_") {loop=1; valid_count=0;}\
	else if(index($1,"_Atom_chem_shift") > 0) \
	{ \
		if( loop && !data_start ) \
		{ \
			valid_count++; \
			if($1 == "_Atom_chem_shift.Entity_assembly_ID") assembID = valid_count; \
			if($1 == "_Atom_chem_shift.Seq_ID") seqID = valid_count; \
                        if($1 == "_Atom_chem_shift.Comp_ID") rNameID = valid_count; \
			if($1 == "_Atom_chem_shift.Atom_ID") aNameID = valid_count; \
			if($1 == "_Atom_chem_shift.Val") valID = valid_count; \
		} \
	} \
	else if(loop&&NF==0) {data_start=1;} \
	else if($1=="stop_") {loop=0;data_start=0;seqColCount=0;valid_count=0;} \
	else if(index($1,"_Entity_comp_index") > 0) \
	{ \
		if( loop && !data_start ) \
		{ \
			seqColCount++; \
			if($1 == "_Entity_comp_index.ID") seqNumID = seqColCount; \
			if($1 == "_Entity_comp_index.Comp_ID") compID = seqColCount; \
			if($1 == "_Entity_comp_index.Entity_ID") Entity_ID = seqColCount; \
		} \
	} \
	else if(index($1,"_Atom_site") > 0) \
	{ \
		if( loop && !data_start ) \
		{ \
			pdbColCount++; \
			if($1 == "_Atom_site.Model_ID") pModelID = pdbColCount; \
			if($1 == "_Atom_site.Label_entity_ID") pEntityID = pdbColCount; \
			if($1 == "_Atom_site.Label_comp_index_ID") pResNumID = pdbColCount; \
			if($1 == "_Atom_site.Label_comp_ID") pResNameID = pdbColCount; \
			if($1 == "_Atom_site.Label_atom_ID") pAtomNameID = pdbColCount; \
			if($1 == "_Atom_site.Cartn_x") pXID = pdbColCount; \
			if($1 == "_Atom_site.Cartn_y") pYID = pdbColCount; \
			if($1 == "_Atom_site.Cartn_z") pZID = pdbColCount; \
		} \
	} \

	if(loop && data_start && NF==pdbColCount && pdbColCount>0) \
	{
		if( $pEntityID != pdbEntryCnt ) \
		{
			pdbEntryCnt = $pEntityID;
			filename = sprintf("%s.%s.pdb", EntryID, $pEntityID); \
			if($pModelID == 1) { \
				printf "HEADER  Structure exttacted from %s\n", EntryID >> filename; \
				if($pModelID==1) printf "MODEL      %s\n", $pModelID >> filename; \
			} \
			else { \
				printf "TER\n" >> filename; \
				printf "ENDMDL\n" >> filename; \
				printf "MODEL      %s\n", $pModelID >> filename; \
			}; \
		}
		if( $pModelID != pdbModelCnt ) \
		{
			pdbModelCnt = $pModelID; \
			printf "" >> filename; \
		}
		ATOM[$pModelID, $pEntityID]++; \
		if(length($pAtomNameID) < 4) \
			printf "ATOM %6s  %-3s %3s   %3s  %10.3f %7.3f %7.3f  1.00  0.00\n",\
			ATOM[$pModelID, $pEntityID],$pAtomNameID,$pResNameID,$pResNumID,$pXID,$pYID,$pZID >> filename; \
		else printf "ATOM %6s %-4s %3s   %3s  %10.3f %7.3f %7.3f  1.00  0.00\n",\
			ATOM[$pModelID, $pEntityID],$pAtomNameID,$pResNameID,$pResNumID,$pXID,$pYID,$pZID >> filename; \
		if($pResNameID != SEQ3[$pEntityID,$pResNumID]) \
			printf "Warning:: %s.%s :: residue %s_%s read from pdb section is different from %s_%s from sequence section.\n",\
				EntryID,$pEntityID,$pResNameID,$pResNumID,SEQ3[$pEntityID,$pResNumID],$pResNumID;\
	}

	if(loop && data_start && NF==seqColCount && seqColCount>0) \
	{
		if(FIRST_RESID[$Entity_ID]==0) FIRST_RESID[$Entity_ID]=$seqNumID; \
		LAST_RESID[$Entity_ID]=$seqNumID; \
		SEQ3[$Entity_ID,$seqNumID]=$compID; \
		pos = index( THREE,toupper($compID) ); \
		SEQ1[$Entity_ID,$seqNumID]=substr(ONE,pos/4+1,1); \
	}

	if(loop && data_start && NF==valid_count && valid_count>0) \
	{ \
		if( $assembID != assembCnt ) { \
			assembCnt = $assembID; \
			filename = sprintf("%s.%s.tab", EntryID, $assembID); \
#			filename = "temp"; \
			printf "REMARK  TALOS chemical shift table converted from %s\n", EntryID >> filename; \
			printf "REMARK  TITLE %s\n\n", Title >> filename; \

			printf "DATA  Entity_assembly_ID %s\n", $assembID  >> filename; \
			printf "DATA  FIRST_RESID %s\n",FIRST_RESID[$assembID] >> filename; \
			printf "DATA  TOTAL_RES   %d\n",1+LAST_RESID[$assembID]-FIRST_RESID[$assembID] >> filename; \

			for(i=FIRST_RESID[$assembID]; i<=LAST_RESID[$assembID]; i++) { \
				if( (i-FIRST_RESID[$assembID])%50 == 0 ) printf("\nDATA SEQUENCE ") >> filename; \
				if( (i-FIRST_RESID[$assembID])%10 == 0 ) printf(" ") >> filename; \
				printf("%1s", SEQ1[$assembID,i]) >> filename; \
			}\
			printf "\n\n" >> filename; \
			printf "VARS   RESID RESNAME ATOMNAME SHIFT\n" >> filename; \
			print  "FORMAT %4d %1s %4s %8.3f" >> filename; \
			printf "\n" >> filename; \
		} \
		printf " %4d %1s %4s %8.3f\n", $seqID, $rNameID, $aNameID, $valID >> filename; \
		if($rNameID != SEQ3[$assembID,$seqID]) \
			printf "Warning:: %s.%s :: residue %s_%s read from data section is different from %s_%s from sequence section.\n",\
				EntryID,$assembID,$rNameID,$seqID,SEQ3[$assembID,$seqID],$seqID;\
	} \
}'

# some restrictions
# 	1. sequence section must be appear ahead of chemical shift section
#
# bmrb2talos_v31.com: converts BMRB NMR-STAR v3.1 format chemical shift file to talos/talos+/talosn format
#         Usage: bmrb2talos_v31.com bmrb_v3.1.str
#                (the output will be directed to a file named upon its BMRB code listed in the BMRB file)


