awk '   BEGIN { 
		ONE   = "AcCDEFGHIKLMNPQRSTVWY";
		THREE = "ALA.cys.CYS.ASP.GLU.PHE.GLY.HIS.ILE.LYS.LEU.MET.ASN.PRO.GLN.ARG.SER.THR.VAL.TRP.TYR";
	}
	
        $NF=="Good"||$NF=="Strong"||$NF=="Generous"{
		dphi=$5; if(dphi<10) dphi=10; if(dphi>35) dphi=35; 
		dpsi=$6; if(dpsi<10) dpsi=10; if(dpsi>35) dpsi=35; 
		pos = index( ONE,toupper($2) );
		scale = 2.0; if($NF=="Generous") scale = 3.0;

		printf("\n# %s\n",$0);
		printf("%4d  %4s  PHI  %8.1f%8.1f\n",$1,substr(THREE,pos*4-3,3),$3-scale*dphi,$3+scale*dphi); 
		printf("%4d  %4s  PSI  %8.1f%8.1f\n",$1,substr(THREE,pos*4-3,3),$4-scale*dpsi,$4+scale*dpsi);
	}' $1

# (C) Shen and Bax 2007-2013, Lab of Chemical Physics, NIDDK, NIH
#
# talos2dyana.com: converts talos/talos+/talos-n output to dyana/cyana angle restraints
#         syntax: talos2dyana.com pred.tab > talos.aco
#
#  For "Strong" TALOS-N and "Good" TALOS+ predictions, the phi and psi angles are set to <phi> +/- 2sd and <psi> +/- 2sd, 
#     where <phi> and <psi> are the averaged TALOS-N/TALOS+ predictions, and 2sd is the larger of 20 deg or two standard 
#     deviations of the TALOS-N prediction
#  For "Generous" TALOS-N predictions, the phi and psi angles are set to <phi> +/- 3sd and <psi> +/- 3sd, where <phi> and 
#     <psi> are the averaged TALOS-N predictions, and 3sd is the larger of 30 deg or three standard deviations of the 
#     TALOS-N prediction
