awk '$NF=="Good" || $NF=="Strong" || $NF=="Generous"{
		dphi=$5; if(dphi<10) dphi=10; if(dphi>35) dphi=35; 
		dpsi=$6; if(dpsi<10) dpsi=10; if(dpsi>35) dpsi=35;
		scale = 2.0; if($NF=="Generous") scale = 3.0;

		printf("\n! %s\n",$0);
		printf("assign (resid %4d and name C    ) (resid %4d and name N    )\n", $1-1, $1);
		printf("       (resid %4d and name CA   ) (resid %4d and name C    )    1.0 %6.1f %6.1f 2\n", $1, $1,   $3, scale*dphi);
		
		printf("assign (resid %4d and name N    ) (resid %4d and name CA   )\n", $1, $1);
		printf("       (resid %4d and name C    ) (resid %4d and name N    )    1.0 %6.1f %6.1f 2\n", $1, $1+1, $4, scale*dpsi);
	}' $1

# (C) Shen and Bax 2007-2013, Lab of Chemical Physics, NIDDK, NIH
#
# talos2xplor.com: converts talos/talos+/talos-n output to xplor angle restraints
#         syntax: talos2xplor.com pred.tab > talos.tbl
#
#  For "Strong" TALOS-N and "Good" TALOS+ predictions, the phi and psi angles are set to <phi> +/- 2sd and <psi> +/- 2sd, 
#     where <phi> and <psi> are the averaged TALOS-N/TALOS+ predictions, and 2sd is the larger of 20 deg or two standard 
#     deviations of the TALOS-N prediction
#  For "Generous" TALOS-N predictions, the phi and psi angles are set to <phi> +/- 3sd and <psi> +/- 3sd, where <phi> and 
#     <psi> are the averaged TALOS-N predictions, and 3sd is the larger of 30 deg or three standard deviations of the                   
#     TALOS-N prediction

