#!/bin/csh 

clean.com >& t.out
talos+ -offset -in ubiq.tab -ref ubiq.pdb -autoExcl >& t.out
echo Good `fgrep Good pred.tab | fgrep -v -i REMARK | wc -l` Bad `fgrep Bad pred.tab | fgrep -v -i REMARK | wc -l` Dyn `fgrep Dyn pred.tab | fgrep -v -i REMARK | wc -l` ubiq

clean.com >& t.out
talos+ -offset -in ubiq.tab -ref ubiq.pdb -autoExcl -noproton >& t.out
echo Good `fgrep Good pred.tab | fgrep -v -i REMARK | wc -l` Bad `fgrep Bad pred.tab | fgrep -v -i REMARK | wc -l` Dyn `fgrep Dyn pred.tab | fgrep -v -i REMARK | wc -l` ubiq, noproton mode
mv pred.tab pred1.tab

clean.com >& t.out
talos+ -ref ubiq.pdb -offset -in ubiq_bmr6457_1D3Z.str -bmrb bmrb.tab >& t.out
echo Good `fgrep Good pred.tab | fgrep -v -i REMARK | wc -l` Bad `fgrep Bad pred.tab | fgrep -v -i REMARK | wc -l` Dyn `fgrep Dyn pred.tab | fgrep -v -i REMARK | wc -l` bmrb input


clean.com >& t.out
talos+ -ref ubiq.pdb -offset -in ubiq_ssnmr_bmr7111.str -bmrb bmrb.tab -proton   >& t.out
echo Good `fgrep Good pred.tab | fgrep -v -i REMARK | wc -l` Bad `fgrep Bad pred.tab | fgrep -v -i REMARK | wc -l` Dyn `fgrep Dyn pred.tab | fgrep -v -i REMARK | wc -l` ss

clean.com >& t.out
talos+ -ref ubiq.pdb -offset -in ubiq_ssnmr_bmr7111.str -bmrb bmrb.tab -noproton >& t.out
echo Good `fgrep Good pred.tab | fgrep -v -i REMARK | wc -l` Bad `fgrep Bad pred.tab | fgrep -v -i REMARK | wc -l` Dyn `fgrep Dyn pred.tab | fgrep -v -i REMARK | wc -l` ss, noproton mode


clean.com >& t.out
selectTab.tcl -in ubiq.tab -text -hdr -cond "\!strmatch( ATOMNAME, 'H*' )" > sel.tab
talos+ -offset -in sel.tab -ref ubiq.pdb -autoExcl >& t.out
echo Good `fgrep Good pred.tab | fgrep -v -i REMARK | wc -l` Bad `fgrep Bad pred.tab | fgrep -v -i REMARK | wc -l` Dyn `fgrep Dyn pred.tab | fgrep -v -i REMARK | wc -l` ubiq, 1H deleted

clean.com >& t.out
selectTab.tcl -in ubiq.tab -text -hdr -cond "\!strmatch( ATOMNAME, 'H*' )" > sel.tab
talos+ -offset -in sel.tab -ref ubiq.pdb -autoExcl -noproton >& t.out
echo Good `fgrep Good pred.tab | fgrep -v -i REMARK | wc -l` Bad `fgrep Bad pred.tab | fgrep -v -i REMARK | wc -l` Dyn `fgrep Dyn pred.tab | fgrep -v -i REMARK | wc -l` ubiq, 1H deleted, noproton mode
mv pred.tab pred2.tab

clean.com >& t.out
selectTab.tcl -in ubiq.tab -text -hdr -cond "\!strmatch( ATOMNAME, 'H*' ) && RESID < 71 && RESID \!= 8 && RESID \!= 9 && RESID \!= 10 && RESID \!= 11 && RESID \!= 12" > sel.tab
talos+ -offset -in sel.tab -ref ubiq.pdb -autoExcl >& t.out
echo Good `fgrep Good pred.tab | fgrep -v -i REMARK | wc -l` Bad `fgrep Bad pred.tab | fgrep -v -i REMARK | wc -l` Dyn `fgrep Dyn pred.tab | fgrep -v -i REMARK | wc -l` ubiq, 1H and 8-12 71-76 deleted

clean.com >& t.out
selectTab.tcl -in ubiq.tab -text -hdr -cond "\!strmatch( ATOMNAME, 'H*' ) && RESID < 71 && RESID \!= 8 && RESID \!= 9 && RESID \!= 10 && RESID \!= 11 && RESID \!= 12" > sel.tab
talos+ -offset -in sel.tab -ref ubiq.pdb -autoExcl -noproton >& t.out
echo Good `fgrep Good pred.tab | fgrep -v -i REMARK | wc -l` Bad `fgrep Bad pred.tab | fgrep -v -i REMARK | wc -l` Dyn `fgrep Dyn pred.tab | fgrep -v -i REMARK | wc -l` ubiq, 1H and 8-12 71-76 deleted, noproton mode

clean.com >& t.out
/bin/rm t.out
